Set activity contractual dates

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/activity/{activityId}/contractual-dates

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • activityId integer(int64) Required
application/json

Body Required

  • dataDate string(date-time)
  • contractualEndDate string(date-time)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • id integer(int64)
    • projectId integer(int64)
    • activityId integer(int64)
    • dataDate string(date-time)
    • contractualEndDate string(date-time)
POST /project/{projectId}/activity/{activityId}/contractual-dates
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/activity/{activityId}/contractual-dates' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "dataDate": "2026-05-04T09:42:00Z",
  "contractualEndDate": "2026-05-04T09:42:00Z"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "dataDate": "2026-05-04T09:42:00Z",
  "contractualEndDate": "2026-05-04T09:42:00Z"
}
Response examples (200)
{
  "id": 42,
  "projectId": 42,
  "activityId": 42,
  "dataDate": "2026-05-04T09:42:00Z",
  "contractualEndDate": "2026-05-04T09:42:00Z"
}